function [ xD ] = gDinv( xI )
%GDINV obtains the dependent elements of x given the independent elements
%
%   Inputs Arguments:
%   xI...vector of independent variables
%
%   Output Arguments:
%   xD...vector of dependent variables
%

% define the dimensions
n = numel(x);
p = n-2;

% initialize xD
xD = zeros(p,1);

xD(1) = 1/2 * (xI(1) + xI(2));

for i = 2:p
	% calculate xD(i) here
	xD(i) = 0;
end

end

